--- /dev/null
+php-apc-cn
+~~~~~~~~~~
+
+Ovaj paket je trenutno dummy, no u doglednoj buducnosti ce donositi
+postavke potrebne za normalno funkcioniranje pojedinih CARNet paketa.
+
+
+ -- Dragan Dosen <ddosen@ffzg.hr> Thu, 28 Apr 2011 23:07:15 +0200
--- /dev/null
+php-apc-cn (3.1.3p1+1) stable; urgency=low
+
+ * Inicijalna inacica paketa.
+
+ -- Dragan Dosen <ddosen@ffzg.hr> Thu, 28 Apr 2011 23:07:15 +0200
--- /dev/null
+Source: php-apc-cn
+Section: php
+Priority: optional
+Maintainer: Dragan Dosen <ddosen@ffzg.hr>
+Build-Depends: debhelper (>= 7)
+Standards-Version: 3.9.1
+
+Package: php-apc-cn
+Architecture: all
+Depends: php-apc (>= 3.1.3p1-2), ${misc:Depends}
+Description: APC (Alternative PHP Cache) module for PHP 5
+ Alternative PHP Cache
+ .
+ The Alternative PHP Cache, also known as APC, is a free, open, and robust
+ framework for caching and optimizing PHP intermediate code. APC is a fast
+ solution for caching PHP code locally, it is not distributed like MemcacheD,
+ but they can be used together for optimal caching.
+ .
+ This package brings CARNet-related configuration.
+Homepage: http://pecl.php.net/package/APC
--- /dev/null
+Copyright 2011 CARNet
+
+You are free to distribute this software package under the terms of the
+GNU General Public License.
+
+On Debian systems, the complete text of the GNU General Public
+License can be found in the file /usr/share/common-licenses/GPL.
--- /dev/null
+README.CARNet
--- /dev/null
+php-apc-cn: possibly-insecure-handling-of-tmp-files-in-maintainer-script
--- /dev/null
+#!/bin/sh
+# postinst script for proftpd-cn
+#
+# see: dh_installdeb(1)
+
+set -e
+
+# summary of how this script can be called:
+# * <postinst> `configure' <most-recently-configured-version>
+# * <old-postinst> `abort-upgrade' <new version>
+# * <conflictor's-postinst> `abort-remove' `in-favour' <package>
+# <new-version>
+# * <deconfigured's-postinst> `abort-deconfigure' `in-favour'
+# <failed-install-package> <version> `removing'
+# <conflicting-package> <version>
+# for details, see http://www.debian.org/doc/debian-policy/ or
+# the debian-policy package
+#
+
+case "$1" in
+ configure|reconfigure)
+ # continue below
+ ;;
+
+ *)
+ exit 0
+ ;;
+esac
+
+# Import CN toolsa
+. /usr/share/carnet-tools/functions.sh
+
+CONF=/etc/php5/conf.d/apc.ini
+
+if [ -e "$CONF" ]; then
+ echo "CN: Enabling APC tuneups"
+ cp -a "$CONF" "$CONF.$$"
+ cp-update --comment ';' php-apc-cn "$CONF.$$" <<EOF
+apc.enabled=1
+apc.shm_size=64
+apc.include_once_override=1
+apc.shm_segments=1
+apc.ttl=7200
+apc.user_ttl=7200
+apc.num_files_hint=1024
+apc.mmap_file_mask=/tmp/apc.XXXXXX
+apc.enable_cli=1
+apc.max_file_size=10M
+EOF
+ cp_mv "$CONF.$$" "$CONF"
+fi
+
+# reload Apache
+if apache2ctl configtest 2>/dev/null; then
+ echo "CN: Reloading Apache..."
+ invoke-rc.d apache2 force-reload || true
+else
+ echo "CN: Your Apache2 configuration is either broken or nonexistant"
+fi
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+exit 0
--- /dev/null
+#!/bin/sh
+# postrm script for monit-cn
+#
+# see: dh_installdeb(1)
+
+set -e
+
+# summary of how this script can be called:
+# * <postrm> `remove'
+# * <postrm> `purge'
+# * <old-postrm> `upgrade' <new-version>
+# * <new-postrm> `failed-upgrade' <old-version>
+# * <new-postrm> `abort-install'
+# * <new-postrm> `abort-install' <old-version>
+# * <new-postrm> `abort-upgrade' <old-version>
+# * <disappearer's-postrm> `disappear' <r>overwrit>r> <new-version>
+# for details, see http://www.debian.org/doc/debian-policy/ or
+# the debian-policy package
+
+case "$1" in
+ purge)
+ # continue below
+ ;;
+
+ *)
+ exit 0
+ ;;
+esac
+
+# import CN-functions
+. /usr/share/carnet-tools/functions.sh
+
+CONF=/etc/php5/conf.d/apc.ini
+
+# remove us from inittab
+echo "CN: Removing APC tuneups"
+cp-update --comment ';' -r php-apc-cn "$CONF"
+
+# reload Apache
+if apache2ctl configtest 2>/dev/null; then
+ echo "CN: Reloading Apache..."
+ invoke-rc.d apache2 force-reload || true
+else
+ echo "CN: Your Apache2 configuration is either broken or nonexistant"
+fi
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+exit 0
--- /dev/null
+#!/usr/bin/make -f
+%:
+ dh $@